## org.apache.cassandra.thrift
Class Cassandra.describe_partitioner_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.describe_partitioner_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.describe_partitioner_args>, org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.describe_partitioner_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` `Cassandra.describe_partitioner_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`static java.util.Map<Cassandra.describe_partitioner_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

Constructor Summary
`Cassandra.describe_partitioner_args()`
`Cassandra.describe_partitioner_args(Cassandra.describe_partitioner_args other)` Performs a deep copy on other.

Method Summary
`void` `clear()`
`int` `compareTo(Cassandra.describe_partitioner_args other)`
`Cassandra.describe_partitioner_args` `deepCopy()`
`boolean` `equals(Cassandra.describe_partitioner_args that)`
`boolean` `equals(java.lang.Object that)`
`Cassandra.describe_partitioner_args._Fields` `fieldForId(int fieldId)`
`java.lang.Object` `getFieldValue(Cassandra.describe_partitioner_args._Fields field)`
`int` `hashCode()`
`boolean` `isSet(Cassandra.describe_partitioner_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(Cassandra.describe_partitioner_args._Fields field, java.lang.Object value)`
`java.lang.String` `toString()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### metaDataMap

    public static final java.util.Map<Cassandra.describe_partitioner_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.describe_partitioner_args

    public Cassandra.describe_partitioner_args()

### Cassandra.describe_partitioner_args

    public Cassandra.describe_partitioner_args(Cassandra.describe_partitioner_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.describe_partitioner_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`

### setFieldValue

    public void setFieldValue(Cassandra.describe_partitioner_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.describe_partitioner_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`

### isSet

    public boolean isSet(Cassandra.describe_partitioner_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.describe_partitioner_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.describe_partitioner_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.describe_partitioner_args>`

### fieldForId

    public Cassandra.describe_partitioner_args._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.describe_partitioner_args,Cassandra.describe_partitioner_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2013 The Apache Software Foundation